Create Delete Member Resources By Vrn Using POST

Create Delete Member Resources By Vrn Using POST

Batched atomic create or delete of member resource in a project by vrn

Access Policy

Role User Accounts Service Accounts (Client Credentials Applications)
Organization Admin ✔️ ✔️
Organization Owner ✔️ ✔️
Project Admin ✔️ ✔️
Request
URI
POST
https://{api_host}/csp/gateway/resource/api/v1/orgs/{orgId}/projects/member-resources
COPY
Path Parameters
string
orgId
Required

Parent organization ID for the project

Query Parameters
string
vrn
Required

Identifier of the parent project


Request Body

Configuration for the member resource

CreateDeleteMemberResourceRequestBatch of type(s) application/json
Required
{
    "memberResourcesToAdd": [
        {
            "description": "string",
            "displayName": "string",
            "duplicateAllowed": false,
            "externalId": "string",
            "externalUrl": "string",
            "resourceSubType": "string",
            "resourceTypeId": "string"
        }
    ],
    "memberResourcesToRemove": [
        "string"
    ]
}
array of object
memberResourcesToAdd
Optional

List of member resources

array of string
memberResourcesToRemove
Optional

List of member resource IDs

Authentication
This operation uses the following authentication methods.
Responses
201

Successful operation (Empty body for resource delete)

Returns IdRefLinkDtoBatch of type(s) application/json
"IdRefLinkDtoBatch Object"
array of object
items
Required

items


400

Invalid request body

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


401

Unauthorized

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


403

The user is forbidden to use the API

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


404

The requested resource could not be found

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


409

Conflict

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


429

The user has sent too many requests

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


500

Internal Server Error

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/csp/gateway/resource/api/v1/orgs/{orgId}/projects/member-resources